Full name: projects.locations.instances.customFields.create
Creates a new CustomField. Each field must have a unique display name and belong to a specific scope (e.g., CASE, ALERT or both).
HTTP request
POST https://{endpoint}/v1alpha/{parent}/customFields
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource where this CustomField will be created. Format: projects/{project}/locations/{location}/instances/{instance} |
Request body
The request body contains an instance of CustomField.
Response body
If successful, the response body contains a newly created instance of CustomField.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.customFields.update
For more information, see the IAM documentation.